<?php

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
  require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
  die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

/*
Installing the ad mod for the first time
*/
global $smcFunc;

$smcFunc['db_query']('', "
	CREATE TABLE IF NOT EXISTS {db_prefix}themes_demo (
	demo_id mediumint(8) unsigned NOT NULL auto_increment,
	theme_id mediumint(8) unsigned NOT NULL DEFAULT '0',
	theme_name text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
	theme_version varchar(100) NOT NULL DEFAULT '',
	smf_version varchar(100) NOT NULL DEFAULT '',
	basis mediumtext NOT NULL,
	assets mediumtext NOT NULL,
	author varchar(100) NOT NULL DEFAULT '',
	web_author varchar(255) NOT NULL DEFAULT '',
	support varchar(255) NOT NULL DEFAULT '',
	download varchar(255) NOT NULL DEFAULT '',
	PRIMARY KEY (demo_id))"
);

add_integration_function('integrate_admin_areas', 'themedemo_admin_areas');
add_integration_function('integrate_load_permissions', 'themedemo_load_permissions');
add_integration_function('integrate_load_theme', 'themedemo_load_theme');
add_integration_function('integrate_menu_buttons', 'themedemo_menu_buttons');
add_integration_function('integrate_pre_include', '$sourcedir/Subs-Themesdemo.php');

?>